Vgpu Enum(3)

NAME
Vgpu Enum -

  Enumerations

enum nvmlVgpuVmIdType_t { NVML_VGPU_VM_ID_DOMAIN_ID = 0, NVML_VGPU_VM_ID_UUID = 1 }
enum nvmlVgpuGuestInfoState_t { NVML_VGPU_INSTANCE_GUEST_INFO_STATE_UNINITIALIZED = 0, NVML_VGPU_INSTANCE_GUEST_INFO_STATE_INITIALIZED = 1 }
enum nvmlGridLicenseFeatureCode_t { NVML_GRID_LICENSE_FEATURE_CODE_VGPU = 1, NVML_GRID_LICENSE_FEATURE_CODE_VWORKSTATION = 2 }

Enumeration Type Documentation

  enum nvmlGridLicenseFeatureCode_t

GRID license feature code

Enumerator:

NVML_GRID_LICENSE_FEATURE_CODE_VGPU
    Virtual GPU.

NVML_GRID_LICENSE_FEATURE_CODE_VWORKSTATION
    Virtual Workstation.

  enum nvmlVgpuGuestInfoState_t

vGPU GUEST info state.

Enumerator:

NVML_VGPU_INSTANCE_GUEST_INFO_STATE_UNINITIALIZED
    Guest-dependent fields uninitialized.

NVML_VGPU_INSTANCE_GUEST_INFO_STATE_INITIALIZED
    Guest-dependent fields initialized.

  enum nvmlVgpuVmIdType_t

Types of VM identifiers

Enumerator:

NVML_VGPU_VM_ID_DOMAIN_ID
    VM ID represents DOMAIN ID.

NVML_VGPU_VM_ID_UUID
    VM ID represents UUID.

Author

Generated automatically by Doxygen for NVML from the source code.